# $Revision: 1.28 $, $Date: 2008/12/25 20:17:08 $
# TODO
# - update to 1.1 from DEVEL
#
# Conditional build:
%bcond_without	javadoc		# don't build javadoc

%include	/usr/lib/rpm/macros.java
Summary:	Commons Logging - interface for logging systems
Summary(pl.UTF-8):	Commons Logging - interfejs do systemów logujących
Name:		java-commons-logging
Version:	1.0.4
Release:	4
License:	Apache
Group:		Libraries/Java
Source0:	http://archive.apache.org/dist/commons/logging/source/commons-logging-%{version}-src.tar.gz
# Source0-md5:	db5dc75c89e794f794be92d10df6be1b
Patch0:		jakarta-commons-logging-target.patch
URL:		http://commons.apache.org/logging/
BuildRequires:	ant
BuildRequires:	jdk >= 1.4
BuildRequires:	jpackage-utils
BuildRequires:	junit
BuildRequires:	logging-log4j
BuildRequires:	rpm-javaprov
BuildRequires:	rpmbuild(macros) >= 1.300
Requires:	jpackage-utils
Requires:	jre >= 1.4
Provides:	jakarta-commons-logging
Obsoletes:	jakarta-commons-logging
BuildArch:	noarch
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
The commons-logging package provides a simple, component oriented
interface (org.apache.commons.logging.Log) together with wrappers for
logging systems. The user can choose at runtime which system they want
to use. In addition, a small number of basic implementations are
provided to allow users to use the package standalone.

%description -l pl.UTF-8
Pakiet commons-logging dostarcza prostego, zorientowanego na
komponenty interfejsu (org.apache.commons.logging.Log) wraz z
wrapperami do systemów logujących. Użytkownik może wybrać w czasie
uruchamiania, którego systemu chce używać. Ponadto dostarczona jest
niewielka liczba podstawowych implementacji, aby pozwolić użytkownikom
na używanie pakietu samodzielnie.

%package javadoc
Summary:	Commons Logging documentation
Summary(pl.UTF-8):	Dokumentacja do Commons Logging
Group:		Documentation
Requires:	jpackage-utils
Provides:	jakarta-commons-logging-javadoc
Obsoletes:	jakarta-commons-logging-doc
Obsoletes:	jakarta-commons-logging-javadoc

%description javadoc
Commons Logging documentation.

%description javadoc -l pl.UTF-8
Dokumentacja do Commons Logging.

%prep
%setup -q -n commons-logging-%{version}-src
%patch0 -p1

%build
required_jars="log4j junit"
CLASSPATH=$(build-classpath $required_jars)
export CLASSPATH
%ant dist javadoc

%install
rm -rf $RPM_BUILD_ROOT
install -d $RPM_BUILD_ROOT%{_javadir}
cp -a dist/commons-logging-api.jar $RPM_BUILD_ROOT%{_javadir}/commons-logging-%{version}-api.jar
cp -a dist/commons-logging.jar $RPM_BUILD_ROOT%{_javadir}/commons-logging-%{version}.jar
ln -s commons-logging-%{version}-api.jar $RPM_BUILD_ROOT%{_javadir}/commons-logging-api.jar
ln -s commons-logging-%{version}.jar $RPM_BUILD_ROOT%{_javadir}/commons-logging.jar

# javadoc
%if %{with javadoc}
install -d $RPM_BUILD_ROOT%{_javadocdir}/%{name}-%{version}
cp -a dist/docs/api/* $RPM_BUILD_ROOT%{_javadocdir}/%{name}-%{version}
ln -s %{name}-%{version} $RPM_BUILD_ROOT%{_javadocdir}/%{name} # ghost symlink
%endif

%clean
rm -rf $RPM_BUILD_ROOT

%post javadoc
ln -nfs %{name}-%{version} %{_javadocdir}/%{name}

%files
%defattr(644,root,root,755)
%doc dist/*.txt
%{_javadir}/*.jar

%if %{with javadoc}
%files javadoc
%defattr(644,root,root,755)
%{_javadocdir}/%{name}-%{version}
%ghost %{_javadocdir}/%{name}
%endif

%define	date	%(echo `LC_ALL="C" date +"%a %b %d %Y"`)
%changelog
* %{date} PLD Team <feedback@pld-linux.org>
All persons listed below can be reached at <cvs_login>@pld-linux.org

$Log: java-commons-logging.spec,v $
Revision 1.28  2008/12/25 20:17:08  pawelz
- added Provides/Obsolets old name for subpackage
- it is no longer part of Jakarta project

Revision 1.27  2008/12/25 20:14:10  pawelz
- BR: junit

Revision 1.26  2008/12/25 19:10:52  pawelz
- build without avalon-*, becoause avalon-* build-requires commons-logging

Revision 1.25  2008/12/25 18:02:09  pawelz
- BR: avalon-*
- pass correct jar names to build-classpath
- it builds now

Revision 1.24  2008/11/23 23:43:43  glen
- rename to java-commons-logging.spec

Revision 1.23  2007-12-08 14:04:49  glen
- add todo; EA drop; rel 4

Revision 1.22  2007-12-07 23:41:09  glen
- new url

Revision 1.21  2007-12-02 22:06:57  glen
- java deps, jdk target 1.3

Revision 1.20  2007-09-19 16:21:39  baggins
- back to 1.0.4, I'm too old for this shit

Revision 1.19  2007/09/19 15:51:49  baggins
- apply patch

Revision 1.18  2007/09/19 15:49:54  baggins
- ty fixing deps

Revision 1.17  2007/09/19 15:34:44  baggins
- updated BRs

Revision 1.16  2007/09/19 14:39:43  baggins
- up to 1.1

Revision 1.15  2007/02/13 08:06:35  glen
- tabs in preamble

Revision 1.14  2007/02/12 00:48:57  baggins
- converted to UTF-8

Revision 1.13  2006/12/08 01:07:21  glen
- -javadoc R: jpackage-utils for parent dirs; rel 2

Revision 1.12  2006/05/25 13:04:10  jajcus
- s/jakarta-log4j/logging-log4j/
- BR: jpackage-utils, rpmbuild(macros) >= 1.300
- ExclusiveArch
- javadoc now in %{_javadocdir} in a javadoc subpackage
- put jars in $CLASSPATH instead of modifying build.properties or passing args to ant
- versioned jar filenames

Revision 1.11  2006/05/19 11:28:19  jajcus
- s/jakarta-ant/ant/ in BR

Revision 1.10  2006/05/15 10:54:16  ankry
- cosmetics

Revision 1.9  2005/05/07 17:40:17  qboosh
- more specific URL

Revision 1.8  2005/01/06 15:51:38  deejay1
- updated to 1.0.4

Revision 1.7  2004/07/15 11:52:05  pluto
- use %{_javadir}.

Revision 1.6  2003/07/02 12:00:31  pascalek
- updated to 1.0.3

Revision 1.5  2003/06/25 08:35:31  pascalek
- now javadoc know where log4j.jar is stored
- TODO: javadoc need avalon logkit.jar either :(

Revision 1.4  2003/05/28 12:59:13  malekith
- massive attack: source-md5

Revision 1.3  2003/05/25 05:49:05  misi3k
- massive attack s/pld.org.pl/pld-linux.org/

Revision 1.2  2003/03/26 10:18:12  qboosh
- enhanced descriptions and dependencies

Revision 1.1  2003/03/06 07:56:18  misiek
- initial pld release
